# Generated by Django 3.0.4 on 2020-04-02 11:36

import datetime
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='listing',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200)),
                ('slug', models.SlugField(max_length=200)),
                ('address', models.CharField(max_length=200)),
                ('city', models.CharField(max_length=100)),
                ('state', models.CharField(max_length=100)),
                ('zipcode', models.CharField(max_length=20)),
                ('price', models.IntegerField()),
                ('bedrooms', models.IntegerField()),
                ('bathrooms', models.DecimalField(decimal_places=1, max_digits=2)),
                ('garage', models.IntegerField(default=0)),
                ('sqft', models.IntegerField()),
                ('lot_size', models.DecimalField(decimal_places=1, max_digits=5)),
                ('photo_main', models.ImageField(upload_to='property/%m/%d/')),
                ('photo_1', models.ImageField(blank=True, upload_to='property/%m/%d/')),
                ('photo_2', models.ImageField(blank=True, upload_to='property/%m/%d/')),
                ('photo_3', models.ImageField(blank=True, upload_to='property/%m/%d/')),
                ('photo_4', models.ImageField(blank=True, upload_to='property/%m/%d/')),
                ('photo_5', models.ImageField(blank=True, upload_to='property/%m/%d/')),
                ('photo_6', models.ImageField(blank=True, upload_to='property/%m/%d/')),
                ('description', models.TextField(blank=True)),
                ('is_published', models.BooleanField(default=True)),
                ('list_date', models.DateTimeField(blank=True, default=datetime.datetime.now)),
            ],
        ),
    ]
